<?php require_once('../Connections/paivaconex.php'); 
require_once('funcoes.php'); 

?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

if ((isset($_GET['del'])) && ($_GET['del'] != "")) {
  $deleteSQL = sprintf("DELETE FROM mfin_recebimentos WHERE Id=%s",
                       GetSQLValueString($_GET['del'], "int"));

  mysql_select_db($database_paivaconex, $paivaconex);
  $Result1 = mysql_query($deleteSQL, $paivaconex) or die(mysql_error());
}


//USING
require_once 'controls/verifylogin.php';


//Filtros de Select

$Result1 ='WHERE  mfin_recebimentos.Id=0';

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  
	if ($_POST['rec_recebimento_min'] != "") { $quando[] = "Recebimento >= '".convertdata($_POST['rec_recebimento_min'])."'"; }
	if ($_POST['rec_recebimento_max'] != "") { $quando[] = "Recebimento <= '".convertdata($_POST['rec_recebimento_max'])."'"; }
	if ($_POST['rec_vencimento_min'] != "") { $quando[] = "Vencimento >= '".convertdata($_POST['rec_vencimento_min'])."'"; }
	if ($_POST['rec_vencimento_max'] != "") { $quando[] = "Vencimento <= '".convertdata($_POST['rec_vencimento_max'])."'"; }
	if ($_POST['rec_emissao_min'] != "") { $quando[] = "Emissao >= '".convertdata($_POST['rec_emissao_min'])."'"; }
	if ($_POST['rec_emissao_max'] != "") { $quando[] = "Emissao <= '".convertdata($_POST['rec_emissao_max'])."'"; }
	if ($_POST['cli_nome'] != "") { $quando[] = "mfin_clientes.NomeFantasia LIKE '%".$_POST['cli_nome']."%'"; }
	if ($_POST['pasta'] != "") { $quando[] = "mfin_pastas.Numero LIKE '%".$_POST['pasta']."%'"; }
	if ($_POST['rec_n_fatura'] != "") { $quando[] = "NumeroNota LIKE '%".$_POST['rec_n_fatura']."%'"; }
	
	if ($_POST['vb_min'] != "") { $quando[] = "Valor >= '".numerobrasil($_POST['vb_min'])."'"; }
	if ($_POST['vb_max'] != "") { $quando[] = "Valor <= '".numerobrasil($_POST['vb_max'])."'"; }
  
                      

	if (isset($quando)){  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	}else{
		$Result1= '';}
	
}


if (isset($_GET['data_ini'])) {

	if (isset($_GET['data_ini'])) { $quando[] = "if(Recebimento <> '0', Recebimento, Vencimento) = '".convertdata($_GET['data_ini'])."'"; }
	if (isset($_GET['Grupo'])) { $quando[] = "mfin_contas.Grupo = ".$_GET['Grupo'].""; }
	if (isset($_GET['tabela'])) { $quando[] = "mfin_recebimentos.Tipo ".$_GET['tabela'].""; }
	if (isset($_GET['ContaResultado'])) { $quando[] = "ContaResultado = ".$_GET['ContaResultado'].""; }
  
  $Result1 = "WHERE ".implode( " AND ", $quando);
	

}



//Select
mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3 - 0 As vl, mfin_recebimentos.Id AS rec_id, Juros as juros_rec, mfin_clientes.NomeFantasia AS cli_nome, 
mfin_pastas.Numero as pasta, mfin_pastas.Nome as pasta_det, Forma, if(isnull(Recebimento),'',DATE_FORMAT(Emissao, '%d/%m/%Y')) as dt_rec, mfin_recebimentos.Detalhe AS rec_det,
mfin_tiposrecebimentos.Nome as Tipo from mfin_recebimentos
Inner Join mfin_clientes ON Cliente_Id = mfin_clientes.Id
Left Join mfin_pastas ON Pasta_Id = mfin_pastas.Id
Inner Join mfin_contas ON ContaResultado=mfin_contas.Id 
Inner Join mfin_tiposrecebimentos ON mfin_recebimentos.Tipo=mfin_tiposrecebimentos.Id 
".$Result1;
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);





?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>
<script src="js/jquery-1.8.3.min.js" type="text/javascript"></script>
<script src="js/jquery.mask.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("input[name=rec_recebimento_min]").mask("99/99/9999");
		   $("input[name=rec_recebimento_max]").mask("99/99/9999");
		   $("input[name=rec_vencimento_min]").mask("99/99/9999");
		   $("input[name=rec_vencimento_max]").mask("99/99/9999");
		   $("input[name=rec_emissao_min]").mask("99/99/9999");
		   $("input[name=rec_emissao_max]").mask("99/99/9999");
		   $(".numeralbrasil").mask('000.000.000.000,00', {reverse: true});
		   
		   
		 });
        
</script>



<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Recebimentos</div>

<div class="pg-botoes" style="float: right;"><a
	href="cadrecebimentos.php" class="submit"> cadastrar </a></div>
    
    <form action="recebimentos.php" method="post" name="form2" id="form2">
        <table align="center">
          <tr>
            <td width="91">Recebimento:</td>
            <td width="292">De:
              <label for="rec_recebimento_min"></label>
            <input type="text" name="rec_recebimento_min" id="rec_recebimento_min" /></td>
            <td width="290">Ate:
              <label for="rec_recebimento_max"></label>
            <input type="text" name="rec_recebimento_max" id="rec_recebimento_max" /></td>
          </tr>
          <tr>
            <td>Vencimento:</td>
            <td>De:
            <input type="text" name="rec_vencimento_min" id="rec_vencimento_min" /></td>
            <td>Ate:
            <input type="text" name="rec_vencimento_max" id="rec_vencimento_max" /></td>
          </tr>
          <tr>
            <td>Emiss&atilde;o:</td>
            <td>De:
            <input type="text" name="rec_emissao_min" id="rec_emissao_min" /></td>
            <td>Ate:
            <input type="text" name="rec_emissao_max" id="rec_emissao_max" /></td>
          </tr>
          <tr>
            <td>Cliente:</td>
            <td colspan="2"><label for="cli_nome"></label>
            <input name="cli_nome" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>Numero Pasta:</td>
            <td colspan="2">
            <input name="pasta" type="text" id="cli_nome" size="80" /></td>
          </tr>
          <tr>
            <td>NF</td>
            <td colspan="2"><input name="rec_n_fatura" type="text" id="rec_n_fatura" size="80" /></td>
          </tr>
          <tr>
            <td>Valor Bruto</td>
            <td>De:
            <input type="text" name="vb_min" id="vb_min" class="numeralbrasil" /></td>
            <td>Ate:
            <input type="text" name="vb_max" id="vb_max" class="numeralbrasil" /></td>
          </tr>
        </table>
        <p>
          <input type="submit" name="pesquisa" id="pesquisa" value="Pesquisar" />
        </p>
        <p>&nbsp;</p>
        <input type="hidden" name="MM_insert" value="form2" />
      </form>

<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Cliente</th>
		<th>Pasta</th>
		<th>Detalhe</th>
		<th>Valor</th>
		<th>Data Emiss&atilde;o</th>
		<th></th>
	</tr>

	<?php
$juros = 0;
	do {

		echo "<tr>";
		
		echo "<td> <a href='cadrecebimentos_alteracao.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['cli_nome']." </a></td>";
		echo "<td> <a href='cadrecebimentos_alteracao.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['pasta'].' '.$row_clientes['pasta_det']." </a></td>";
		echo "<td> <a href='cadrecebimentos_alteracao.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['rec_det']." </a></td>";
		echo "<td> <a href='cadrecebimentos_alteracao.php?id=".$row_clientes['rec_id']."'> ".number_format($row_clientes['vl'],2,',','.')." </a></td>";
		echo "<td> <a href='cadrecebimentos_alteracao.php?id=".$row_clientes['rec_id']."'> ".$row_clientes['dt_rec']." </a></td>"; 	
		echo "<td> <a href='recebimentos.php?del=".$row_clientes['rec_id']."' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	
	$juros +=$row_clientes['juros_rec'];
	} while ($row_clientes = mysql_fetch_assoc($clientes));

	?>
    <tr>
    <td>Receita Financeira</td>
    <td></td>
    <td>Juros </td>
    <td align="right"><?php echo number_format($juros,2,',','.') ?></td>
    <td></td>
    <td></td>
    
    </tr>
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>